Bug 1250413 - [PATCH] mosh: enable Bash completion
Summary: [PATCH] mosh: enable Bash completion
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mosh
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alex Chernyakhovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-05 10:55 UTC by Christoph Erhardt
Modified: 2020-05-09 07:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
.spec-file patch (642 bytes, patch)
2015-08-05 10:55 UTC, Christoph Erhardt
no flags Details | Diff
.spec-file patch, v2 (653 bytes, patch)
2015-08-11 07:39 UTC, Christoph Erhardt
no flags Details | Diff
.spec-file patch, v3 (512 bytes, patch)
2016-06-22 10:57 UTC, Christoph Erhardt
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1150824 0 unspecified CLOSED Add completion rules for mosh 2021-02-22 00:41:40 UTC

Description Christoph Erhardt 2015-08-05 10:55:50 UTC
Created attachment 1059407 [details]
.spec-file patch

Mosh should be configured with "--enable-completion" to enable hostname completion in Bash.

A patch against the .spec file is attached.

Comment 1 Christoph Erhardt 2015-08-11 07:39:18 UTC
Created attachment 1061344 [details]
.spec-file patch, v2

New patch for mosh 1.2.5 attached - the location of the completion file has changed.

Comment 2 Jan Kurik 2016-02-24 15:41:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Christoph Erhardt 2016-05-04 20:58:59 UTC
Bump.

Comment 4 Christoph Erhardt 2016-06-22 10:57:32 UTC
Created attachment 1170683 [details]
.spec-file patch, v3

New patch attached; now compatible with the f24 branch.

Comment 5 Christoph Erhardt 2016-12-06 08:39:59 UTC
Bump for Fedora 25.

Comment 6 Christoph Erhardt 2017-06-26 11:52:52 UTC
Bump for Fedora 26.

Comment 7 Christoph Erhardt 2017-11-15 14:24:21 UTC
Bump for Fedora 27. Patch still applies cleanly.

Comment 8 Christoph Erhardt 2018-04-24 08:58:03 UTC
In case anyone is interested, my stuff can now be found in a COPR repository: https://copr.fedorainfracloud.org/coprs/sicherha/fedora/packages/

Comment 9 M. Scherer 2018-09-22 08:20:40 UTC
So, I would be quite interested by that patch, is there anything that do block it ?

Comment 10 M. Scherer 2018-09-22 08:38:14 UTC
 I suspect the mit.edu email no longer work, and Alex is now working at Google cf his webpage. I sent him a email directly.

Comment 11 Ben Cotton 2019-05-02 20:51:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2020-04-30 22:08:22 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Christoph Erhardt 2020-05-09 07:16:52 UTC
There's an open pull request for this patch: https://src.fedoraproject.org/rpms/mosh/pull-request/1

Note that my personal interest in this has waned somewhat since I've switched over to Zsh.


Note You need to log in before you can comment on or make changes to this bug.